package com.hotent.baseInfo.manager.impl;

import com.hotent.baseInfo.model.CostDictData;
import com.hotent.baseInfo.dao.CostDictDataDao;
import com.hotent.baseInfo.manager.CostDictDataManager;
import com.hotent.base.manager.impl.BaseManagerImpl;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


/**
 * 字典数据表 服务实现类
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-13
 */
@Service
public class CostDictDataManagerImpl extends BaseManagerImpl<CostDictDataDao, CostDictData> implements CostDictDataManager {

	@Override
	public CostDictData getDetail(String id) {
    	CostDictData costDictData = this.get(id);
    	

		return costDictData;
	}
	@Override
	@Transactional
	public void createOrUpdate(CostDictData costDictData) {
		//新建或更新
		this.saveOrUpdate(costDictData);
	}
}
